Bug 967305 - [Webadmin] Virtual Machines Tab - Pressing "Next Page" too many times reaches blank page
[Webadmin] Virtual Machines Tab - Pressing "Next Page" too many times reaches...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Pavel Stehlik
ux
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 08:44 EDT by David Botzer
Modified: 2015-09-22 09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-01 14:24:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Blank_page (89.22 KB, image/png)
2013-05-26 08:44 EDT, David Botzer
no flags Details
lastpage (113.47 KB, image/png)
2013-05-26 08:46 EDT, David Botzer
no flags Details

  None (edit)
Description David Botzer 2013-05-26 08:44:57 EDT
Created attachment 753317 [details]
Blank_page

Description of problem:
I a case where I have over 1600 VMs, and I press Next page too many times, reaches to blank page, and number of vms disapears

Virtual Machines Tab - Pressing "Next Page" too many times reaches blank page

Version-Release number of selected component (if applicable):
3.2/sf17.1

How reproducible:
always

Steps to Reproduce:
1.install rhevm
2.create template vm without disk,nor nic
3.create pool of many vms (200+)
4.press next page many times & fast

Actual results:
Pressing "Next Page" too many times reaches blank page
its possible to go back

Expected results:
should stop at the last page

Additional info:
Webadmin should allow entreing a page number & first & last page
Comment 1 David Botzer 2013-05-26 08:46:04 EDT
Created attachment 753319 [details]
lastpage
Comment 2 Eli Mesika 2013-05-30 05:21:18 EDT
Since bacend does not know the entity count because its a time-consuming query we should avoid, the only way is that UI check if it gets records and not pass to next page if no records returned ...
Comment 3 Itamar Heim 2013-12-01 14:24:11 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.